Index: /trunk/DataCheck/Transfer/ZipRawData.sh
===================================================================
--- /trunk/DataCheck/Transfer/ZipRawData.sh	(revision 18327)
+++ /trunk/DataCheck/Transfer/ZipRawData.sh	(revision 18328)
@@ -15,14 +15,14 @@
    finish
 fi
+# if daq unavailable
+#if ! ls /newdaq/raw >/dev/null 2>&1
+#then 
+#   printprocesslog "ERROR /newdaq/raw is not available."
+#   finish
+#fi
 
 # get dates
 if [ "$certaindate" != "" ]
 then
-   checkstring=`echo $certaindate | grep -E -o '^20[0-9][0-9]\/[01][0-9]\/[0-3][0-9]$'`
-   if [ "$checkstring" = "" ]
-   then
-      echo "Please give the variable certaindate in the correct format (YYYY/MM/DD)"
-      finish
-   fi
    getdates $certaindate
 else
@@ -45,4 +45,5 @@
    echo "" >> $logfile 2>&1
    rawdir=/daq/raw/$date
+#   rawdir=/newdaq/raw/$date #if daq unavailable
    echo `date`": processing files in "$rawdir >> $logfile 2>&1
    printprocesslog "INFO processing files in "$rawdir
@@ -104,4 +105,8 @@
          zipfile=`echo $file | sed -e 's/daq/loc_data/g' -e 's/raw/zipraw/' `
          zipfiletmp=`echo $file | sed -e 's/daq/loc_data/g' -e 's/raw/zipraw/' -e 's/fits.fz/fits.fz.tmp/'`
+#         # if daq unavailable
+#         zipfile=`echo $file | sed -e 's/newdaq/loc_data/g' -e 's/raw/zipraw/' `
+#         zipfiletmp=`echo $file | sed -e 's/newdaq/loc_data/g' -e 's/raw/zipraw/' -e 's/fits.fz/fits.fz.tmp/'`
+         
          # check if file on data already exists
          if [ -e $zipfile ]
@@ -141,4 +146,8 @@
          zipfile=`echo $file | sed -e 's/daq/loc_data/g' -e 's/raw/zipraw/' -e 's/fits/fits.gz/'`
          zipfiletmp=`echo $file | sed -e 's/daq/loc_data/g' -e 's/raw/zipraw/' -e 's/fits/fits.tmp.gz/'`
+#         # if daq unavailable
+#         zipfile=`echo $file | sed -e 's/newdaq/loc_data/g' -e 's/raw/zipraw/' -e 's/fits/fits.gz/'`
+#         zipfiletmp=`echo $file | sed -e 's/newdaq/loc_data/g' -e 's/raw/zipraw/' -e 's/fits/fits.tmp.gz/'`
+         
          # check if zipped file already exists
          if [ -e $zipfile ]
